using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SC
{
    /// <summary>
    /// 本质 Nav_ListMeetingContentNAME
    /// T_SC_MT_MEETING_CONTENT_NAME
    /// </summary>
    [Description("会议内容题库")]
    public class T_SC_MT_MEETING_CONTENT : MesEntityBase
    {
        /// <summary>
        /// 会议表
        /// </summary>
        [Description("会议表")]
        [DataFieldForeignKey("Nav_Meeting", "Nav_ListMeetingContent")]
        public Guid MEETING_ID { get; set; }

        /// <summary>
        /// 会议表
        /// </summary>
        [Description("导航：会议表")]
        public virtual T_SC_MT_MEETING Nav_Meeting { get; set; }

        /// <summary>
        /// 会议内容
        /// </summary>
        [Description("会议内容")]
        [DataFieldForeignKey("Nav_ContentName")]
        public Guid CONTENTNAME_ID { get; set; }

        /// <summary>
        /// 会议内容
        /// </summary>
        [Description("导航属性：会议内容")]
        public virtual T_SC_MT_CONTENT_NAME Nav_ContentName { get; set; }

    }
}